nvidia-graphics-drivers-375 375.66-0ubuntu0.14.04.1 source package in Ubuntu

Changelog

nvidia-graphics-drivers-375 (375.66-0ubuntu0.14.04.1) trusty; urgency=medium

  * SECURITY UPDATE:
    - CVE-2017-0350, 2017-0351, 2017-0353 (LP: #1689336).
  * New upstream release:
    - Added support for the following GPUs:
      o GeForce GTX 1080 Ti
      o Quadro P3000
      o Quadro M520
      o TITAN Xp
    - Fixed a bug that could cause EGL applications to crash when
      calling eglInitialize() multiple times on X11-backed displays.
    - Fixed a regression that could cause rendering corruption on a
      monitor connected via DisplayPort upon a modeset event (for
      example, changing resolutions or power cycling the monitor).
    - Fixed a bug that could cause OpenGL applications to crash when
      VT switching between multiple X servers.
    - Fixed a bug that caused the system to become unresponsive after
      resuming from power management suspend/hibernate.  Additional
      symptoms of this bug included display flickering and "Xid 56"
      errors in the kernel log.
    - Fixed a bug that caused backlight brightness to not be
      controllable on some notebooks with DisplayPort internal
      panels.
    - Fixed a bug that left HDMI and DisplayPort audio muted after a
      framebuffer console mode was restored. For some displays, this
      caused the display to remain blank.
    - Fixed a bug that caused audio over DisplayPort to stop working
      when the monitor was unplugged and plugged back in or awoken
      from DPMS power-saving mode.
    - Restored support for the following GPU:
      GRID K520
    - Fixed a regression that caused corruption in certain
      applications, such as window border shadows in Unity, after
      resuming from suspend.
    - Fixed a bug that could cause some applications to crash when
      running with PRIME Sync.
    - Fixed a bug that prevented PRIME Sync from working on notebooks
      with GeForce GTX 4xx and 5xx series GPUs.
    - Fixed a bug that caused OpenGL apps to have excessive CPU usage
      when running with PRIME Sync but without native displays
      enabled.
    - Fixed a bug that could cause PRIME Sync to deadlock in the
      kernel, particularly common on Linux 4.10.
    - Fixed a bug that caused PRIME Sync to run slowly on systems
      with Pascal GPUs.

  [ Adam Conrad ]
  * Drop nvidia-prime and bumblebee Recommends on armhf (LP: #1566446).

  [ Alberto Milone ]
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_4.10.patch.
    - Limit the amount of cores to a maximum of 16 (LP: #1688431).

  [ Thomas Foster ]
  * debian/nvidia-375.install:
    - install glvnd EGL vendor configuration file (LP: #1674677).

 -- Alberto Milone <email address hidden>  Tue, 09 May 2017 15:18:54 +0200

Upload details

Uploaded by:
Alberto Milone on 2017-05-26
Uploaded to:
Trusty
Original maintainer:
Ubuntu Developers
Architectures:
i386 amd64 armhf
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Trusty updates on 2017-05-31 restricted misc
Trusty security on 2017-05-31 restricted misc

Downloads

File Size SHA-256 Checksum
nvidia-graphics-drivers-375_375.66.orig.tar.gz 107.6 MiB a5d802a31a13094535f684aa4db44d78f3ff972d0630d8f67afd6e7f43818f56
nvidia-graphics-drivers-375_375.66-0ubuntu0.14.04.1.diff.gz 156.5 KiB 7839d76ceb38ed9142e49866223b8a3f966e5612aad2356ae68bc7d35fc26c50
nvidia-graphics-drivers-375_375.66-0ubuntu0.14.04.1.dsc 2.9 KiB 9c48fdc7649dc8f35db86f9b7dc0b2dbcf6236a6b83b87898cba628a813a7ea3

View changes file

Binary packages built by this source

libcuda1-367: Transitional package for libcuda1-375

 This is a transitional package for libcuda1-375, and can be
 safely removed after the installation is complete.

libcuda1-375: Transitional package for libcuda1-384

 This is a transitional package for libcuda1-384, and can be
 safely removed after the installation is complete.

nvidia-367: Transitional package for nvidia-375

 This is a transitional package for nvidia-375, and can be
 safely removed after the installation is complete.

nvidia-367-dev: Transitional package for nvidia-375-dev

 This is a transitional package for nvidia-375-dev, and can be
 safely removed after the installation is complete.

nvidia-375: Transitional package for nvidia-384

 This is a transitional package for nvidia-384, and can be
 safely removed after the installation is complete.

nvidia-375-dev: Transitional package for nvidia-384-dev

 This is a transitional package for nvidia-384-dev, and can be
 safely removed after the installation is complete.

nvidia-libopencl1-367: Transitional package for nvidia-libopencl1-375

 This is a transitional package for nvidia-libopencl1-375, and can be
 safely removed after the installation is complete.

nvidia-libopencl1-375: Transitional package for nvidia-libopencl1-384

 This is a transitional package for nvidia-libopencl1-384, and can be
 safely removed after the installation is complete.

nvidia-opencl-icd-367: Transitional package for nvidia-opencl-icd-375

 This is a transitional package for nvidia-opencl-icd-375, and can be
 safely removed after the installation is complete.

nvidia-opencl-icd-375: Transitional package for nvidia-opencl-icd-384

 This is a transitional package for nvidia-opencl-icd-384, and can be
 safely removed after the installation is complete.